- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# netapp_e_flashcache – NetApp E-Series manage SSD caches

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Create or remove SSD caches on a NetApp E-Series storage array.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_password - / required |  | The password to authenticate with the SANtricity WebServices Proxy or embedded REST API.
api_url - / required |  | The url to the SANtricity WebServices Proxy or embedded REST API.
api_username - / required |  | The username to authenticate with the SANtricity WebServices Proxy or embedded REST API.
cache_size_min - |  | The minimum size (in size_units) of the ssd cache. The cache will be expanded if this exceeds the current size of the cache.
disk_count - |  | The minimum number of disks to use for building the cache. The cache will be expanded if this number exceeds the number of disks already in place
io_type - | Choices: filesystem ← database media | The type of workload to optimize the cache for.
name - / required |  | The name of the SSD cache to manage
size_unit - | Choices: bytes b kb mb gb ← tb pb eb zb yb | The unit to be applied to size arguments
ssid - / required |  | The ID of the array to manage (as configured on the web services proxy).
state - / required | Choices: present ← absent | Whether the specified SSD cache should exist or not.
validate_certs boolean | Choices: no yes ← | Should https certificates be validated?

## Examples

    - name: Flash Cache
      netapp_e_flashcache:
        ssid: "{{ ssid }}"
        api_url: "{{ netapp_api_url }}"
        api_username: "{{ netapp_api_username }}"
        api_password: "{{ netapp_api_password }}"
        validate_certs: "{{ netapp_api_validate_certs }}"
        name: SSDCacheBuiltByAnsible

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message Sample: json for newly created flash cache

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Kevin Hulquest (@hulquest)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.